# H225_SecurityCapabilities Class Reference

`#include <h225.h>`

Inheritance diagram for H225_SecurityCapabilities:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandard }

## Public Member Functions

| H225_SecurityCapabilities (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_NonStandardParameter | m_nonStandard
H225_SecurityServiceMode | m_encryption
H225_SecurityServiceMode | m_authenticaton
H225_SecurityServiceMode | m_integrity

## Member Enumeration Documentation

enum H225_SecurityCapabilities::OptionalFields

Enumerator:

  e_nonStandard |

## Constructor & Destructor Documentation

H225_SecurityCapabilities::H225_SecurityCapabilities | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_SecurityCapabilities::GetDataLength | ( |  | ) | const

PBoolean H225_SecurityCapabilities::Decode | ( | PASN_Stream & | strm | ) |

void H225_SecurityCapabilities::Encode | ( | PASN_Stream & | strm | ) | const

void H225_SecurityCapabilities::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_SecurityCapabilities::Compare | ( | const PObject & | obj | ) | const

PObject* H225_SecurityCapabilities::Clone | ( |  | ) | const

## Member Data Documentation

H225_NonStandardParameter H225_SecurityCapabilities::m_nonStandard

H225_SecurityServiceMode H225_SecurityCapabilities::m_encryption

H225_SecurityServiceMode H225_SecurityCapabilities::m_authenticaton

H225_SecurityServiceMode H225_SecurityCapabilities::m_integrity

The documentation for this class was generated from the following file:

- h225.h